package org.library.app;

import org.javalite.activejdbc.Base;
import org.javalite.activejdbc.DBException;

import java.util.Date;
import java.util.List;

import java.net.URL;

import java.io.File;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;
import javafx.stage.StageStyle;


public class App extends Application {
    @Override
    public void start(Stage stage) throws Exception {
        Scene scene = new Scene(new StackPane());

        AppManager appManager = new AppManager(scene, stage);
        appManager.showLoginView();
        //appManager.showMainView();

        stage.setScene(scene);
        stage.show();
    }

    public static void main(String[] args) {
        launch(args);
    }
}
